---
title: HTMLObjectElement.data
slug: Web/API/HTMLObjectElement/data
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - data
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>data</code></strong> property of the {{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that reflects the {{htmlattrxref("data", "object")}} HTML attribute, specifying the address of a resource's data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var data = HTMLObjectElement.data;
HTMLObjectElement.data;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('DOMString')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-object-data','data')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.data")}}</p>
